### Class

# GdkX11X11Screen

#### Description

    final class GdkX11.X11Screen : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### gdk_x11_screen_get_current_desktop

Returns the current workspace for `screen` when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints specification.

###### gdk_x11_screen_get_monitor_output

Gets the XID of the specified output/monitor. If the X server does not support version 1.2 of the RANDR extension, 0 is returned.

###### gdk_x11_screen_get_number_of_desktops

Returns the number of workspaces for `screen` when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints specification.

###### gdk_x11_screen_get_screen_number

Returns the index of a `GdkX11Screen`.

###### gdk_x11_screen_get_window_manager_name

Returns the name of the window manager for `screen`.

###### gdk_x11_screen_get_xscreen

Returns the screen of a `GdkX11Screen`.

###### gdk_x11_screen_supports_net_wm_hint

This function is specific to the X11 backend of GDK, and indicates whether the window manager supports a certain hint from the Extended Window Manager Hints specification.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### GdkX11.X11Screen::window-manager-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GdkX11X11ScreenClass {
      /* no available fields */
    }

No description available.